/*!
 * MediaElement.js
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
!function e(t,n,r){function a(o,l){if(!n[o]){if(!t[o]){var s="function"==typeof require&&require;if(!l&&s)return s(o,!0);if(i)return i(o,!0);var d=new Error("Cannot find module '"+o+"'");throw d.code="MODULE_NOT_FOUND",d}var u=n[o]={exports:{}};t[o][0].call(u.exports,function(e){var n=t[o][1][e];return a(n||e)},u,u.exports,e,t,n,r)}return n[o].exports}for(var i="function"==typeof require&&require,o=0;o<r.length;o++)a(r[o]);return a}({1:[function(e,t,n){},{}],2:[function(e,t,n){(function(n){var r=void 0!==n?n:"undefined"!=typeof window?window:{},a=e(1);if("undefined"!=typeof document)t.exports=document;else{var i=r["__GLOBAL_DOCUMENT_CACHE@4"];i||(i=r["__GLOBAL_DOCUMENT_CACHE@4"]=a),t.exports=i}}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{1:1}],3:[function(e,t,n){(function(e){"undefined"!=typeof window?t.exports=window:void 0!==e?t.exports=e:"undefined"!=typeof self?t.exports=self:t.exports={}}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{}],4:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},a=function(e){return e&&e.__esModule?e:{default:e}}(e(6)),i=e(8),o=e(17),l={lang:"en",en:i.EN};l.language=function(){for(var e=arguments.length,t=Array(e),n=0;n<e;n++)t[n]=arguments[n];if(null!==t&&void 0!==t&&t.length){if("string"!=typeof t[0])throw new TypeError("Language code must be a string value");if(!/^[a-z]{2}(\-[a-z]{2})?$/i.test(t[0]))throw new TypeError("Language code must have format `xx` or `xx-xx`");l.lang=t[0],void 0===l[t[0]]?(t[1]=null!==t[1]&&void 0!==t[1]&&"object"===r(t[1])?t[1]:{},l[t[0]]=(0,o.isObjectEmpty)(t[1])?i.EN:t[1]):null!==t[1]&&void 0!==t[1]&&"object"===r(t[1])&&(l[t[0]]=t[1])}return l.lang},l.t=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if("string"==typeof e&&e.length){var n=void 0,a=void 0,i=l.language(),s=function(e,t,n){return"object"!==(void 0===e?"undefined":r(e))||"number"!=typeof t||"number"!=typeof n?e:function(){return[function(){return arguments.length<=1?void 0:arguments[1]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:arguments.length<=2?void 0:arguments[2]},function(){return 0===(arguments.length<=0?void 0:arguments[0])||1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:arguments.length<=2?void 0:arguments[2]},function(){return(arguments.length<=0?void 0:arguments[0])%10==1&&(arguments.length<=0?void 0:arguments[0])%100!=11?arguments.length<=1?void 0:arguments[1]:0!==(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return 1===(arguments.length<=0?void 0:arguments[0])||11===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:2===(arguments.length<=0?void 0:arguments[0])||12===(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:(arguments.length<=0?void 0:arguments[0])>2&&(arguments.length<=0?void 0:arguments[0])<20?arguments.length<=3?void 0:arguments[3]:arguments.length<=4?void 0:arguments[4]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:0===(arguments.length<=0?void 0:arguments[0])||(arguments.length<=0?void 0:arguments[0])%100>0&&(arguments.length<=0?void 0:arguments[0])%100<20?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return(arguments.length<=0?void 0:arguments[0])%10==1&&(arguments.length<=0?void 0:arguments[0])%100!=11?arguments.length<=1?void 0:arguments[1]:(arguments.length<=0?void 0:arguments[0])%10>=2&&((arguments.length<=0?void 0:arguments[0])%100<10||(arguments.length<=0?void 0:arguments[0])%100>=20)?arguments.length<=2?void 0:arguments[2]:[3]},function(){return(arguments.length<=0?void 0:arguments[0])%10==1&&(arguments.length<=0?void 0:arguments[0])%100!=11?arguments.length<=1?void 0:arguments[1]:(arguments.length<=0?void 0:arguments[0])%10>=2&&(arguments.length<=0?void 0:arguments[0])%10<=4&&((arguments.length<=0?void 0:arguments[0])%100<10||(arguments.length<=0?void 0:arguments[0])%100>=20)?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:(arguments.length<=0?void 0:arguments[0])>=2&&(arguments.length<=0?void 0:arguments[0])<=4?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:(arguments.length<=0?void 0:arguments[0])%10>=2&&(arguments.length<=0?void 0:arguments[0])%10<=4&&((arguments.length<=0?void 0:arguments[0])%100<10||(arguments.length<=0?void 0:arguments[0])%100>=20)?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return(arguments.length<=0?void 0:arguments[0])%100==1?arguments.length<=2?void 0:arguments[2]:(arguments.length<=0?void 0:arguments[0])%100==2?arguments.length<=3?void 0:arguments[3]:(arguments.length<=0?void 0:arguments[0])%100==3||(arguments.length<=0?void 0:arguments[0])%100==4?arguments.length<=4?void 0:arguments[4]:arguments.length<=1?void 0:arguments[1]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:2===(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:(arguments.length<=0?void 0:arguments[0])>2&&(arguments.length<=0?void 0:arguments[0])<7?arguments.length<=3?void 0:arguments[3]:(arguments.length<=0?void 0:arguments[0])>6&&(arguments.length<=0?void 0:arguments[0])<11?arguments.length<=4?void 0:arguments[4]:arguments.length<=5?void 0:arguments[5]},function(){return 0===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:2===(arguments.length<=0?void 0:arguments[0])?arguments.length<=3?void 0:arguments[3]:(arguments.length<=0?void 0:arguments[0])%100>=3&&(arguments.length<=0?void 0:arguments[0])%100<=10?arguments.length<=4?void 0:arguments[4]:(arguments.length<=0?void 0:arguments[0])%100>=11?arguments.length<=5?void 0:arguments[5]:arguments.length<=6?void 0:arguments[6]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:0===(arguments.length<=0?void 0:arguments[0])||(arguments.length<=0?void 0:arguments[0])%100>1&&(arguments.length<=0?void 0:arguments[0])%100<11?arguments.length<=2?void 0:arguments[2]:(arguments.length<=0?void 0:arguments[0])%100>10&&(arguments.length<=0?void 0:arguments[0])%100<20?arguments.length<=3?void 0:arguments[3]:arguments.length<=4?void 0:arguments[4]},function(){return(arguments.length<=0?void 0:arguments[0])%10==1?arguments.length<=1?void 0:arguments[1]:(arguments.length<=0?void 0:arguments[0])%10==2?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return 11!==(arguments.length<=0?void 0:arguments[0])&&(arguments.length<=0?void 0:arguments[0])%10==1?arguments.length<=1?void 0:arguments[1]:arguments.length<=2?void 0:arguments[2]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:(arguments.length<=0?void 0:arguments[0])%10>=2&&(arguments.length<=0?void 0:arguments[0])%10<=4&&((arguments.length<=0?void 0:arguments[0])%100<10||(arguments.length<=0?void 0:arguments[0])%100>=20)?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:2===(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:8!==(arguments.length<=0?void 0:arguments[0])&&11!==(arguments.length<=0?void 0:arguments[0])?arguments.length<=3?void 0:arguments[3]:arguments.length<=4?void 0:arguments[4]},function(){return 0===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:arguments.length<=2?void 0:arguments[2]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:2===(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:3===(arguments.length<=0?void 0:arguments[0])?arguments.length<=3?void 0:arguments[3]:arguments.length<=4?void 0:arguments[4]},function(){return 0===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]}]}()[n].apply(null,[t].concat(e))};return void 0!==l[i]&&(n=l[i][e],null!==t&&"number"==typeof t&&(a=l[i]["mejs.plural-form"],n=s.apply(null,[n,t,a]))),!n&&l.en&&(n=l.en[e],null!==t&&"number"==typeof t&&(a=l.en["mejs.plural-form"],n=s.apply(null,[n,t,a]))),n=n||e,null!==t&&"number"==typeof t&&(n=n.replace("%1",t)),(0,o.escapeHTML)(n)}return e},a.default.i18n=l,"undefined"!=typeof mejsL10n&&a.default.i18n.language(mejsL10n.language,mejsL10n.strings),n.default=l},{17:17,6:6,8:8}],5:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function a(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(n,"__esModule",{value:!0});var i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},o=r(e(3)),l=r(e(2)),s=r(e(6)),d=e(17),u=e(18),c=e(7),f=e(15),m=function e(t,n,r){var m=this;a(this,e);var p=this;r=Array.isArray(r)?r:null,p.defaults={renderers:[],fakeNodeName:"mediaelementwrapper",pluginPath:"build/",shimScriptAccess:"sameDomain",customError:""},n=Object.assign(p.defaults,n),p.mediaElement=l.default.createElement(n.fakeNodeName),p.mediaElement.options=n;var h=t,v=!1;if("string"==typeof t?p.mediaElement.originalNode=l.default.getElementById(t):(p.mediaElement.originalNode=t,h=t.id),h=h||"mejs_"+Math.random().toString().slice(2),void 0!==p.mediaElement.originalNode&&null!==p.mediaElement.originalNode&&p.mediaElement.appendChild){p.mediaElement.originalNode.setAttribute("id",h+"_from_mejs");var g=p.mediaElement.originalNode.tagName.toLowerCase();["video","audio"].indexOf(g)>-1&&!p.mediaElement.originalNode.getAttribute("preload")&&p.mediaElement.originalNode.setAttribute("preload","none"),p.mediaElement.originalNode.parentNode.insertBefore(p.mediaElement,p.mediaElement.originalNode),p.mediaElement.appendChild(p.mediaElement.originalNode)}p.mediaElement.id=h,p.mediaElement.renderers={},p.mediaElement.renderer=null,p.mediaElement.rendererName=null,p.mediaElement.changeRenderer=function(e,t){var n=m,r=Object.keys(t[0]).length>2?t[0]:t[0].src;if(void 0!==n.mediaElement.renderer&&null!==n.mediaElement.renderer&&n.mediaElement.renderer.name===e)return n.mediaElement.renderer.pause(),n.mediaElement.renderer.stop&&n.mediaElement.renderer.stop(),n.mediaElement.renderer.show(),n.mediaElement.renderer.setSrc(r),!0;void 0!==n.mediaElement.renderer&&null!==n.mediaElement.renderer&&(n.mediaElement.renderer.pause(),n.mediaElement.renderer.stop&&n.mediaElement.renderer.stop(),n.mediaElement.renderer.hide());var a=n.mediaElement.renderers[e],i=null;if(void 0!==a&&null!==a)return a.show(),a.setSrc(r),n.mediaElement.renderer=a,n.mediaElement.rendererName=e,!0;for(var o=n.mediaElement.options.renderers.length?n.mediaElement.options.renderers:c.renderer.order,l=0,s=o.length;l<s;l++){var d=o[l];if(d===e){i=c.renderer.renderers[d];var u=Object.assign(i.options,n.mediaElement.options);return a=i.create(n.mediaElement,u,t),a.name=e,n.mediaElement.renderers[i.name]=a,n.mediaElement.renderer=a,n.mediaElement.rendererName=e,a.show(),!0}}return!1},p.mediaElement.setSize=function(e,t){void 0!==p.mediaElement.renderer&&null!==p.mediaElement.renderer&&p.mediaElement.renderer.setSize(e,t)},p.mediaElement.createErrorMessage=function(e){e=Array.isArray(e)?e:[];var t=l.default.createElement("div");t.className="me_cannotplay",t.style.width="100%",t.style.height="100%";var n=p.mediaElement.options.customError;if(!n){var r=p.mediaElement.originalNode.getAttribute("poster");r&&(n+='<img src="'+r+'" width="100%" height="100%" alt="'+s.default.i18n.t("mejs.download-file")+'">');for(var a=0,i=e.length;a<i;a++){var o=e[a];n+='<a href="'+o.src+'" data-type="'+o.type+'"><span>'+s.default.i18n.t("mejs.download-file")+": "+o.src+"</span></a>"}}t.innerHTML=n,p.mediaElement.originalNode.parentNode.insertBefore(t,p.mediaElement.originalNode),p.mediaElement.originalNode.style.display="none",v=!0};var y=s.default.html5media.properties,E=s.default.html5media.methods,b=function(e,t,n,r){var a=e[t],i=function(){return n.apply(e,[a])},o=function(t){return a=r.apply(e,[t])};Object.defineProperty(e,t,{get:i,set:o})},w=function(){return void 0!==p.mediaElement.renderer&&null!==p.mediaElement.renderer?p.mediaElement.renderer.getSrc():null},S=function(e){var t=[];if("string"==typeof e)t.push({src:e,type:e?(0,u.getTypeFromFile)(e):""});else if("object"===(void 0===e?"undefined":i(e))&&void 0!==e.src){var n=(0,u.absolutizeUrl)(e.src),r=e.type,a=Object.assign(e,{src:n,type:""!==r&&null!==r&&void 0!==r||!n?r:(0,u.getTypeFromFile)(n)});t.push(a)}else if(Array.isArray(e))for(var o=0,l=e.length;o<l;o++){var s=(0,u.absolutizeUrl)(e[o].src),f=e[o].type,m=Object.assign(e[o],{src:s,type:""!==f&&null!==f&&void 0!==f||!s?f:(0,u.getTypeFromFile)(s)});t.push(m)}var h=c.renderer.select(t,p.mediaElement.options.renderers.length?p.mediaElement.options.renderers:[]),v=void 0;if(p.mediaElement.paused||(p.mediaElement.pause(),v=(0,d.createEvent)("pause",p.mediaElement),p.mediaElement.dispatchEvent(v)),p.mediaElement.originalNode.setAttribute("src",t[0].src||""),p.mediaElement.querySelector(".me_cannotplay")&&p.mediaElement.querySelector(".me_cannotplay").remove(),null===h)return p.mediaElement.createErrorMessage(t),v=(0,d.createEvent)("error",p.mediaElement),v.message="No renderer found",void p.mediaElement.dispatchEvent(v);p.mediaElement.changeRenderer(h.rendererName,t),void 0!==p.mediaElement.renderer&&null!==p.mediaElement.renderer||((v=(0,d.createEvent)("error",p.mediaElement)).message="Error creating renderer",p.mediaElement.dispatchEvent(v),p.mediaElement.createErrorMessage(t))};b(p.mediaElement,"src",w,S),p.mediaElement.getSrc=w,p.mediaElement.setSrc=S;for(var _=0,N=y.length;_<N;_++)!function(e){if("src"!==e){var t=""+e.substring(0,1).toUpperCase()+e.substring(1),n=function(){return void 0!==p.mediaElement.renderer&&null!==p.mediaElement.renderer&&"function"==typeof p.mediaElement.renderer["get"+t]?p.mediaElement.renderer["get"+t]():null},r=function(e){void 0!==p.mediaElement.renderer&&null!==p.mediaElement.renderer&&"function"==typeof p.mediaElement.renderer["set"+t]&&p.mediaElement.renderer["set"+t](e)};b(p.mediaElement,e,n,r),p.mediaElement["get"+t]=n,p.mediaElement["set"+t]=r}}(y[_]);for(var A=0,j=E.length;A<j;A++)!function(e){p.mediaElement[e]=function(){for(var t=arguments.length,n=Array(t),r=0;r<t;r++)n[r]=arguments[r];if(void 0!==p.mediaElement.renderer&&null!==p.mediaElement.renderer&&"function"==typeof p.mediaElement.renderer[e])try{p.mediaElement.renderer[e](n)}catch(e){p.mediaElement.createErrorMessage()}return null}}(E[A]);p.mediaElement.events={},p.mediaElement.addEventListener=function(e,t){p.mediaElement.events[e]=p.mediaElement.events[e]||[],p.mediaElement.events[e].push(t)},p.mediaElement.removeEventListener=function(e,t){if(!e)return p.mediaElement.events={},!0;var n=p.mediaElement.events[e];if(!n)return!0;if(!t)return p.mediaElement.events[e]=[],!0;for(var r=0;r<n.length;r++)if(n[r]===t)return p.mediaElement.events[e].splice(r,1),!0;return!1},p.mediaElement.dispatchEvent=function(e){var t=p.mediaElement.events[e.type];if(t)for(var n=0;n<t.length;n++)t[n].apply(null,[e])};var T=function(e,t){if(s.default.html5media.mediaTypes.indexOf(t)>-1&&"https:"===o.default.location.protocol&&f.IS_IOS&&!o.default.MSStream){var n=new XMLHttpRequest;n.onreadystatechange=function(){if(4===this.readyState&&200===this.status){var t=(o.default.URL||o.default.webkitURL).createObjectURL(this.response);return p.mediaElement.originalNode.setAttribute("src",t),t}return e},n.open("GET",e),n.responseType="blob",n.send()}return e},F=void 0;if(null!==r)F=r;else if(null!==p.mediaElement.originalNode)switch(F=[],p.mediaElement.originalNode.nodeName.toLowerCase()){case"iframe":F.push({type:"",src:p.mediaElement.originalNode.getAttribute("src")});break;case"audio":case"video":var x=p.mediaElement.originalNode.childNodes.length,C=p.mediaElement.originalNode.getAttribute("src");if(C){var L=p.mediaElement.originalNode,O=(0,u.formatType)(C,L.getAttribute("type"));F.push({type:O,src:T(C,O)})}for(var P=0;P<x;P++){var I=p.mediaElement.originalNode.childNodes[P];if(I.nodeType===Node.ELEMENT_NODE&&"source"===I.tagName.toLowerCase()){var k=I.getAttribute("src"),M=(0,u.formatType)(k,I.getAttribute("type"));F.push({type:M,src:T(k,M)})}}}return F.length&&(p.mediaElement.src=F),p.mediaElement.options.success&&p.mediaElement.options.success(p.mediaElement,p.mediaElement.originalNode),v&&p.mediaElement.options.error&&p.mediaElement.options.error(p.mediaElement,p.mediaElement.originalNode),p.mediaElement};o.default.MediaElement=m,n.default=m},{15:15,17:17,18:18,2:2,3:3,6:6,7:7}],6:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0});var r=function(e){return e&&e.__esModule?e:{default:e}}(e(3)),a={};a.version="4.1.2",a.html5media={properties:["volume","src","currentTime","muted","duration","paused","ended","buffered","error","networkState","readyState","seeking","seekable","currentSrc","preload","bufferedBytes","bufferedTime","initialTime","startOffsetTime","defaultPlaybackRate","playbackRate","played","autoplay","loop","controls"],readOnlyProperties:["duration","paused","ended","buffered","error","networkState","readyState","seeking","seekable"],methods:["load","play","pause","canPlayType"],events:["loadstart","progress","suspend","abort","error","emptied","stalled","play","pause","loadedmetadata","loadeddata","waiting","playing","canplay","canplaythrough","seeking","seeked","timeupdate","ended","ratechange","durationchange","volumechange"],mediaTypes:["audio/mp3","audio/ogg","audio/oga","audio/wav","audio/x-wav","audio/wave","audio/x-pn-wav","audio/mpeg","audio/mp4","video/mp4","video/webm","video/ogg","video/ogv"]},r.default.mejs=a,n.default=a},{3:3}],7:[function(e,t,n){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(n,"__esModule",{value:!0}),n.renderer=void 0;var a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},i=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),o=function(e){return e&&e.__esModule?e:{default:e}}(e(6)),l=function(){function e(){r(this,e),this.renderers={},this.order=[]}return i(e,[{key:"add",value:function(e){if(void 0===e.name)throw new TypeError("renderer must contain at least `name` property");this.renderers[e.name]=e,this.order.push(e.name)}},{key:"select",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[],n=t.length;if(t=t.length?t:this.order,!n){var r=[/^(html5|native)/i,/^flash/i,/iframe$/i],a=function(e){for(var t=0,n=r.length;t<n;t++)if(r[t].test(e))return t;return r.length};t.sort(function(e,t){return a(e)-a(t)})}for(var i=0,o=t.length;i<o;i++){var l=t[i],s=this.renderers[l];if(null!==s&&void 0!==s)for(var d=0,u=e.length;d<u;d++)if("function"==typeof s.canPlayType&&"string"==typeof e[d].type&&s.canPlayType(e[d].type))return{rendererName:s.name,src:e[d].src}}return null}},{key:"order",set:function(e){if(!Array.isArray(e))throw new TypeError("order must be an array of strings.");this._order=e},get:function(){return this._order}},{key:"renderers",set:function(e){if(null!==e&&"object"!==(void 0===e?"undefined":a(e)))throw new TypeError("renderers must be an array of objects.");this._renderers=e},get:function(){return this._renderers}}]),e}(),s=n.renderer=new l;o.default.Renderers=s},{6:6}],8:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0});n.EN={"mejs.plural-form":1,"mejs.download-file":"Download File","mejs.install-flash":"You are using a browser that does not have Flash player enabled or installed. Please turn on your Flash player plugin or download the latest version from https://get.adobe.com/flashplayer/","mejs.fullscreen":"Fullscreen","mejs.play":"Play","mejs.pause":"Pause","mejs.time-slider":"Time Slider","mejs.time-help-text":"Use Left/Right Arrow keys to advance one second, Up/Down arrows to advance ten seconds.","mejs.live-broadcast":"Live Broadcast","mejs.volume-help-text":"Use Up/Down Arrow keys to increase or decrease volume.","mejs.unmute":"Unmute","mejs.mute":"Mute","mejs.volume-slider":"Volume Slider","mejs.video-player":"Video Player","mejs.audio-player":"Audio Player","mejs.captions-subtitles":"Captions/Subtitles","mejs.captions-chapters":"Chapters","mejs.none":"None","mejs.afrikaans":"Afrikaans","mejs.albanian":"Albanian","mejs.arabic":"Arabic","mejs.belarusian":"Belarusian","mejs.bulgarian":"Bulgarian","mejs.catalan":"Catalan","mejs.chinese":"Chinese","mejs.chinese-simplified":"Chinese (Simplified)","mejs.chinese-traditional":"Chinese (Traditional)","mejs.croatian":"Croatian","mejs.czech":"Czech","mejs.danish":"Danish","mejs.dutch":"Dutch","mejs.english":"English","mejs.estonian":"Estonian","mejs.filipino":"Filipino","mejs.finnish":"Finnish","mejs.french":"French","mejs.galician":"Galician","mejs.german":"German","mejs.greek":"Greek","mejs.haitian-creole":"Haitian Creole","mejs.hebrew":"Hebrew","mejs.hindi":"Hindi","mejs.hungarian":"Hungarian","mejs.icelandic":"Icelandic","mejs.indonesian":"Indonesian","mejs.irish":"Irish","mejs.italian":"Italian","mejs.japanese":"Japanese","mejs.korean":"Korean","mejs.latvian":"Latvian","mejs.lithuanian":"Lithuanian","mejs.macedonian":"Macedonian","mejs.malay":"Malay","mejs.maltese":"Maltese","mejs.norwegian":"Norwegian","mejs.persian":"Persian","mejs.polish":"Polish","mejs.portuguese":"Portuguese","mejs.romanian":"Romanian","mejs.russian":"Russian","mejs.serbian":"Serbian","mejs.slovak":"Slovak","mejs.slovenian":"Slovenian","mejs.spanish":"Spanish","mejs.swahili":"Swahili","mejs.swedish":"Swedish","mejs.tagalog":"Tagalog","mejs.thai":"Thai","mejs.turkish":"Turkish","mejs.ukrainian":"Ukrainian","mejs.vietnamese":"Vietnamese","mejs.welsh":"Welsh","mejs.yiddish":"Yiddish"}},{}],9:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}var a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},i=r(e(3)),o=r(e(6)),l=e(7),s=e(17),d=e(18),u=e(15),c=e(16),f={promise:null,load:function(e){"undefined"!=typeof dashjs?f._createPlayer(e):(e.options.path="string"==typeof e.options.path?e.options.path:"https://cdn.dashjs.org/latest/dash.all.min.js",f.promise=f.promise||(0,c.loadScript)(e.options.path),f.promise.then(function(){f._createPlayer(e)}))},_createPlayer:function(e){var t=dashjs.MediaPlayer().create();i.default["__ready__"+e.id](t)}},m={name:"native_dash",options:{prefix:"native_dash",dash:{path:"https://cdn.dashjs.org/latest/dash.all.min.js",debug:!1,drm:{}}},canPlayType:function(e){return u.HAS_MSE&&["application/dash+xml"].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var r=e.originalNode,d=e.id+"_"+t.prefix,u=r.getAttribute("preload"),c=r.autoplay,m=null,p=null;m=r.cloneNode(!0),t=Object.assign(t,e.options);for(var h=o.default.html5media.properties,v=0,g=h.length;v<g;v++)!function(e){var t=""+e.substring(0,1).toUpperCase()+e.substring(1);m["get"+t]=function(){return null!==p?m[e]:null},m["set"+t]=function(t){-1===o.default.html5media.readOnlyProperties.indexOf(e)&&("src"===e?"string"==typeof t?(m[e]=t,null!==p&&(p.attachSource(t),c&&m.play())):t&&"object"===(void 0===t?"undefined":a(t))&&t.src&&(m[e]=t.src,null!==p&&(t&&"object"===(void 0===t?"undefined":a(t))&&t.drm&&p.setProtectionData(t.drm),p.attachSource(t.src),c&&m.play())):m[e]=t)}}(h[v]);if(i.default["__ready__"+d]=function(n){e.dashPlayer=p=n,p.getDebug().setLogToBrowserConsole(t.dash.debug),p.setScheduleWhilePaused(u&&"auto"===u||c);for(var r=o.default.html5media.events.concat(["click","mouseover","mouseout"]),a=dashjs.MediaPlayer.events,i=0,l=r.length;i<l;i++)!function(n){"loadedmetadata"===n&&(p.initialize(m,null,u&&"auto"===u||c),p.setFastSwitchEnabled(!0),o.default.Utils.isObjectEmpty(t.dash.drm)||p.setProtectionData(t.dash.drm),p.attachSource(m.src)),m.addEventListener(n,function(t){var n=(0,s.createEvent)(t.type,e);e.dispatchEvent(n)})}(r[i]);var d=function(t){var n=(0,s.createEvent)(t.type,m);n.data=t,e.dispatchEvent(n),"error"===t.type.toLowerCase()&&console.error(t)};for(var f in a)a.hasOwnProperty(f)&&p.on(a[f],d)},n&&n.length>0)for(var y=0,E=n.length;y<E;y++)if(l.renderer.renderers[t.prefix].canPlayType(n[y].type)){m.setAttribute("src",n[y].src),void 0!==n[y].drm&&(t.dash.drm=n[y].drm);break}m.setAttribute("id",d),r.parentNode.insertBefore(m,r),r.autoplay=!1,r.style.display="none",f.load({options:t.dash,id:d}),m.setSize=function(e,t){return m.style.width=e+"px",m.style.height=t+"px",m},m.hide=function(){return m.pause(),m.style.display="none",m},m.show=function(){return m.style.display="",m};var b=(0,s.createEvent)("rendererready",m);return e.dispatchEvent(b),m}};d.typeChecks.push(function(e){return~e.toLowerCase().indexOf(".mpd")?"application/dash+xml":null}),l.renderer.add(m)},{15:15,16:16,17:17,18:18,3:3,6:6,7:7}],10:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(n,"__esModule",{value:!0}),n.PluginDetector=void 0;var a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},i=r(e(3)),o=r(e(2)),l=r(e(6)),s=r(e(4)),d=e(7),u=e(17),c=e(15),f=e(18),m=n.PluginDetector={plugins:[],hasPluginVersion:function(e,t){var n=m.plugins[e];return t[1]=t[1]||0,t[2]=t[2]||0,n[0]>t[0]||n[0]===t[0]&&n[1]>t[1]||n[0]===t[0]&&n[1]===t[1]&&n[2]>=t[2]},addPlugin:function(e,t,n,r,a){m.plugins[e]=m.detectPlugin(t,n,r,a)},detectPlugin:function(e,t,n,r){var o=[0,0,0],l=void 0,s=void 0;if(null!==c.NAV.plugins&&void 0!==c.NAV.plugins&&"object"===a(c.NAV.plugins[e])){if((l=c.NAV.plugins[e].description)&&(void 0===c.NAV.mimeTypes||!c.NAV.mimeTypes[t]||c.NAV.mimeTypes[t].enabledPlugin))for(var d=0,u=(o=l.replace(e,"").replace(/^\s+/,"").replace(/\sr/gi,".").split(".")).length;d<u;d++)o[d]=parseInt(o[d].match(/\d+/),10)}else if(void 0!==i.default.ActiveXObject)try{(s=new ActiveXObject(n))&&(o=r(s))}catch(e){}return o}};m.addPlugin("flash","Shockwave Flash","application/x-shockwave-flash","ShockwaveFlash.ShockwaveFlash",function(e){var t=[],n=e.GetVariable("$version");return n&&(n=n.split(" ")[1].split(","),t=[parseInt(n[0],10),parseInt(n[1],10),parseInt(n[2],10)]),t});var p={create:function(e,t,n){var r={};r.options=t,r.id=e.id+"_"+r.options.prefix,r.mediaElement=e,r.flashState={},r.flashApi=null,r.flashApiStack=[];for(var a=l.default.html5media.properties,m=0,p=a.length;m<p;m++)!function(e){r.flashState[e]=null;var t=""+e.substring(0,1).toUpperCase()+e.substring(1);r["get"+t]=function(){if(null!==r.flashApi){if("function"==typeof r.flashApi["get_"+e]){var t=r.flashApi["get_"+e]();return"buffered"===e?{start:function(){return 0},end:function(){return t},length:1}:t}return null}return null},r["set"+t]=function(t){if("src"===e&&(t=(0,f.absolutizeUrl)(t)),null!==r.flashApi&&void 0!==r.flashApi["set_"+e])try{r.flashApi["set_"+e](t)}catch(e){}else r.flashApiStack.push({type:"set",propName:e,value:t})}}(a[m]);var h=l.default.html5media.methods;h.push("stop");for(var v=0,g=h.length;v<g;v++)!function(e){r[e]=function(){if(null!==r.flashApi){if(r.flashApi["fire_"+e])try{r.flashApi["fire_"+e]()}catch(e){}}else r.flashApiStack.push({type:"call",methodName:e})}}(h[v]);for(var y=["rendererready"],E=0,b=y.length;E<b;E++){var w=(0,u.createEvent)(y[E],r);e.dispatchEvent(w)}i.default["__ready__"+r.id]=function(){if(r.flashReady=!0,r.flashApi=o.default.getElementById("__"+r.id),r.flashApiStack.length)for(var e=0,t=r.flashApiStack.length;e<t;e++){var n=r.flashApiStack[e];if("set"===n.type){var a=n.propName,i=""+a.substring(0,1).toUpperCase()+a.substring(1);r["set"+i](n.value)}else"call"===n.type&&r[n.methodName]()}},i.default["__event__"+r.id]=function(e,t){var n=(0,u.createEvent)(e,r);n.message=t||"",r.mediaElement.dispatchEvent(n)},r.flashWrapper=o.default.createElement("div"),-1===["always","sameDomain"].indexOf(r.options.shimScriptAccess)&&(r.options.shimScriptAccess="sameDomain");var S=e.originalNode.autoplay,_=["uid="+r.id,"autoplay="+S,"allowScriptAccess="+r.options.shimScriptAccess],N=null!==e.originalNode&&"video"===e.originalNode.tagName.toLowerCase(),A=N?e.originalNode.height:1,j=N?e.originalNode.width:1;e.originalNode.getAttribute("src")&&_.push("src="+e.originalNode.getAttribute("src")),!0===r.options.enablePseudoStreaming&&(_.push("pseudostreamstart="+r.options.pseudoStreamingStartQueryParam),_.push("pseudostreamtype="+r.options.pseudoStreamingType)),e.appendChild(r.flashWrapper),null!==e.originalNode&&(e.originalNode.style.display="none");var T=[];if(c.IS_IE){var F=o.default.createElement("div");r.flashWrapper.appendChild(F),T=['classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"','codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab"','id="__'+r.id+'"','width="'+j+'"','height="'+A+'"'],N||T.push('style="clip: rect(0 0 0 0); position: absolute;"'),F.outerHTML="<object "+T.join(" ")+'><param name="movie" value="'+r.options.pluginPath+r.options.filename+"?x="+new Date+'" /><param name="flashvars" value="'+_.join("&amp;")+'" /><param name="quality" value="high" /><param name="bgcolor" value="#000000" /><param name="wmode" value="transparent" /><param name="allowScriptAccess" value="'+r.options.shimScriptAccess+'" /><param name="allowFullScreen" value="true" /><div>'+s.default.t("mejs.install-flash")+"</div></object>"}else T=['id="__'+r.id+'"','name="__'+r.id+'"','play="true"','loop="false"','quality="high"','bgcolor="#000000"','wmode="transparent"','allowScriptAccess="'+r.options.shimScriptAccess+'"','allowFullScreen="true"','type="application/x-shockwave-flash"','pluginspage="//www.macromedia.com/go/getflashplayer"','src="'+r.options.pluginPath+r.options.filename+'"','flashvars="'+_.join("&")+'"','width="'+j+'"','height="'+A+'"'],N||T.push('style="clip: rect(0 0 0 0); position: absolute;"'),r.flashWrapper.innerHTML="<embed "+T.join(" ")+">";if(r.flashNode=r.flashWrapper.lastChild,r.hide=function(){N&&(r.flashNode.style.display="none")},r.show=function(){N&&(r.flashNode.style.display="")},r.setSize=function(e,t){r.flashNode.style.width=e+"px",r.flashNode.style.height=t+"px",null!==r.flashApi&&"function"==typeof r.flashApi.fire_setSize&&r.flashApi.fire_setSize(e,t)},r.destroy=function(){r.flashNode.remove()},n&&n.length>0)for(var x=0,C=n.length;x<C;x++)if(d.renderer.renderers[t.prefix].canPlayType(n[x].type)){r.setSrc(n[x].src);break}return r}};if(m.hasPluginVersion("flash",[10,0,0])){f.typeChecks.push(function(e){return e=e.toLowerCase(),e.startsWith("rtmp")?~e.indexOf(".mp3")?"audio/rtmp":"video/rtmp":/\.og(a|g)/i.test(e)?"audio/ogg":~e.indexOf(".m3u8")?"application/x-mpegURL":~e.indexOf(".mpd")?"application/dash+xml":~e.indexOf(".flv")?"video/flv":null});var h={name:"flash_video",options:{prefix:"flash_video",filename:"mediaelement-flash-video.swf",enablePseudoStreaming:!1,pseudoStreamingStartQueryParam:"start",pseudoStreamingType:"byte"},canPlayType:function(e){return~["video/mp4","video/rtmp","audio/rtmp","rtmp/mp4","audio/mp4","video/flv","video/x-flv"].indexOf(e.toLowerCase())},create:p.create};d.renderer.add(h);var v={name:"flash_hls",options:{prefix:"flash_hls",filename:"mediaelement-flash-video-hls.swf"},canPlayType:function(e){return~["application/x-mpegurl","vnd.apple.mpegurl","audio/mpegurl","audio/hls","video/hls"].indexOf(e.toLowerCase())},create:p.create};d.renderer.add(v);var g={name:"flash_dash",options:{prefix:"flash_dash",filename:"mediaelement-flash-video-mdash.swf"},canPlayType:function(e){return~["application/dash+xml"].indexOf(e.toLowerCase())},create:p.create};d.renderer.add(g);var y={name:"flash_audio",options:{prefix:"flash_audio",filename:"mediaelement-flash-audio.swf"},canPlayType:function(e){return~["audio/mp3"].indexOf(e.toLowerCase())},create:p.create};d.renderer.add(y);var E={name:"flash_audio_ogg",options:{prefix:"flash_audio_ogg",filename:"mediaelement-flash-audio-ogg.swf"},canPlayType:function(e){return~["audio/ogg","audio/oga","audio/ogv"].indexOf(e.toLowerCase())},create:p.create};d.renderer.add(E)}},{15:15,17:17,18:18,2:2,3:3,4:4,6:6,7:7}],11:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}var a=r(e(3)),i=r(e(6)),o=e(7),l=e(17),s=e(15),d=e(18),u=e(16),c={promise:null,load:function(e){"undefined"!=typeof flvjs?c._createPlayer(e):(e.options.path="string"==typeof e.options.path?e.options.path:"https://cdnjs.cloudflare.com/ajax/libs/flv.js/1.2.0/flv.min.js",c.promise=c.promise||(0,u.loadScript)(e.options.path),c.promise.then(function(){c._createPlayer(e)}))},_createPlayer:function(e){flvjs.LoggingControl.enableDebug=e.options.debug,flvjs.LoggingControl.enableVerbose=e.options.debug;var t=flvjs.createPlayer(e.options);return a.default["__ready__"+e.id](t),t}},f={name:"native_flv",options:{prefix:"native_flv",flv:{path:"https://cdnjs.cloudflare.com/ajax/libs/flv.js/1.2.0/flv.min.js",cors:!0,debug:!1}},canPlayType:function(e){return s.HAS_MSE&&["video/x-flv","video/flv"].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var r=e.originalNode,s=e.id+"_"+t.prefix,d=null,u=null;d=r.cloneNode(!0),t=Object.assign(t,e.options);for(var f=i.default.html5media.properties,m=0,p=f.length;m<p;m++)!function(e){var n=""+e.substring(0,1).toUpperCase()+e.substring(1);d["get"+n]=function(){return null!==u?d[e]:null},d["set"+n]=function(n){if(-1===i.default.html5media.readOnlyProperties.indexOf(e)&&(d[e]=n,null!==u&&"src"===e)){var r={};r.type="flv",r.url=n,r.cors=t.flv.cors,r.debug=t.flv.debug,r.path=t.flv.path,u.destroy(),(u=c._createPlayer({options:r,id:s})).attachMediaElement(d),u.load()}}}(f[m]);if(a.default["__ready__"+s]=function(t){e.flvPlayer=u=t;for(var n=i.default.html5media.events.concat(["click","mouseover","mouseout"]),r=0,a=n.length;r<a;r++)!function(t){"loadedmetadata"===t&&(u.unload(),u.detachMediaElement(),u.attachMediaElement(d),u.load()),d.addEventListener(t,function(t){var n=(0,l.createEvent)(t.type,e);e.dispatchEvent(n)})}(n[r])},n&&n.length>0)for(var h=0,v=n.length;h<v;h++)if(o.renderer.renderers[t.prefix].canPlayType(n[h].type)){d.setAttribute("src",n[h].src);break}d.setAttribute("id",s),r.parentNode.insertBefore(d,r),r.autoplay=!1,r.style.display="none";var g={};g.type="flv",g.url=d.src,g.cors=t.flv.cors,g.debug=t.flv.debug,g.path=t.flv.path,c.load({options:g,id:s}),d.setSize=function(e,t){return d.style.width=e+"px",d.style.height=t+"px",d},d.hide=function(){return null!==u&&u.pause(),d.style.display="none",d},d.show=function(){return d.style.display="",d},d.destroy=function(){null!==u&&u.destroy()};var y=(0,l.createEvent)("rendererready",d);return e.dispatchEvent(y),d}};d.typeChecks.push(function(e){return~e.toLowerCase().indexOf(".flv")?"video/flv":null}),o.renderer.add(f)},{15:15,16:16,17:17,18:18,3:3,6:6,7:7}],12:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}var a=r(e(3)),i=r(e(6)),o=e(7),l=e(17),s=e(15),d=e(18),u=e(16),c={promise:null,load:function(e){"undefined"!=typeof Hls?c._createPlayer(e):(e.options.path="string"==typeof e.options.path?e.options.path:"http://cdn.jsdelivr.net/npm/hls.js@latest",c.promise=c.promise||(0,u.loadScript)(e.options.path),c.promise.then(function(){c._createPlayer(e)}))},_createPlayer:function(e){var t=new Hls(e.options);return a.default["__ready__"+e.id](t),t}},f={name:"native_hls",options:{prefix:"native_hls",hls:{path:"http://cdn.jsdelivr.net/npm/hls.js@latest",autoStartLoad:!1,debug:!1}},canPlayType:function(e){return s.HAS_MSE&&["application/x-mpegurl","vnd.apple.mpegurl","audio/mpegurl","audio/hls","video/hls"].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var r=e.originalNode,s=e.id+"_"+t.prefix,d=r.getAttribute("preload"),u=r.autoplay,f=null,m=null;m=r.cloneNode(!0),(t=Object.assign(t,e.options)).hls.autoStartLoad=d&&"none"!==d||u;for(var p=i.default.html5media.properties,h=0,v=p.length;h<v;h++)!function(e){var n=""+e.substring(0,1).toUpperCase()+e.substring(1);m["get"+n]=function(){return null!==f?m[e]:null},m["set"+n]=function(n){-1===i.default.html5media.readOnlyProperties.indexOf(e)&&(m[e]=n,null!==f&&"src"===e&&(f.destroy(),(f=c._createPlayer({options:t.hls,id:s})).loadSource(n),f.attachMedia(m)))}}(p[h]);if(a.default["__ready__"+s]=function(t){e.hlsPlayer=f=t;for(var n=i.default.html5media.events.concat(["click","mouseover","mouseout"]),r=Hls.Events,a=0,o=n.length;a<o;a++)!function(t){if("loadedmetadata"===t){var n=e.originalNode.src;f.detachMedia(),f.loadSource(n),f.attachMedia(m)}m.addEventListener(t,function(t){var n=(0,l.createEvent)(t.type,e);e.dispatchEvent(n)})}(n[a]);var s=void 0,d=void 0,u=function(t,n){var r=(0,l.createEvent)(t,m);if(r.data=n,e.dispatchEvent(r),"hlsError"===t&&(console.warn(t,n),n.fatal))switch(n.type){case"mediaError":var a=(new Date).getTime();!s||a-s>3e3?(s=(new Date).getTime(),f.recoverMediaError()):!d||a-d>3e3?(d=(new Date).getTime(),console.warn("Attempting to swap Audio Codec and recover from media error"),f.swapAudioCodec(),f.recoverMediaError()):console.error("Cannot recover, last media error recovery failed");break;case"networkError":console.error("Network error");break;default:f.destroy()}};for(var c in r)r.hasOwnProperty(c)&&f.on(r[c],u)},n&&n.length>0)for(var g=0,y=n.length;g<y;g++)if(o.renderer.renderers[t.prefix].canPlayType(n[g].type)){m.setAttribute("src",n[g].src);break}"auto"===d||u||(m.addEventListener("play",function(){null!==f&&f.startLoad()}),m.addEventListener("pause",function(){null!==f&&f.stopLoad()})),m.setAttribute("id",s),r.parentNode.insertBefore(m,r),r.autoplay=!1,r.style.display="none",c.load({options:t.hls,id:s}),m.setSize=function(e,t){return m.style.width=e+"px",m.style.height=t+"px",m},m.hide=function(){return m.pause(),m.style.display="none",m},m.show=function(){return m.style.display="",m},m.destroy=function(){null!==f&&f.destroy()},m.stop=function(){null!==f&&f.stopLoad()};var E=(0,l.createEvent)("rendererready",m);return e.dispatchEvent(E),m}};d.typeChecks.push(function(e){return~e.toLowerCase().indexOf(".m3u8")?"application/x-mpegURL":null}),o.renderer.add(f)},{15:15,16:16,17:17,18:18,3:3,6:6,7:7}],13:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}var a=r(e(3)),i=r(e(2)),o=r(e(6)),l=e(7),s=e(17),d=e(15),u={name:"html5",options:{prefix:"html5"},canPlayType:function(e){var t=i.default.createElement("video");return d.IS_ANDROID&&/\/mp(3|4)$/i.test(e)||~["application/x-mpegurl","vnd.apple.mpegurl","audio/mpegurl","audio/hls","video/hls"].indexOf(e.toLowerCase())&&d.SUPPORTS_NATIVE_HLS?"yes":t.canPlayType?t.canPlayType(e.toLowerCase()).replace(/no/,""):""},create:function(e,t,n){var r=e.id+"_"+t.prefix,a=null;void 0===e.originalNode||null===e.originalNode?(a=i.default.createElement("audio"),e.appendChild(a)):a=e.originalNode,a.setAttribute("id",r);for(var d=o.default.html5media.properties,u=0,c=d.length;u<c;u++)!function(e){var t=""+e.substring(0,1).toUpperCase()+e.substring(1);a["get"+t]=function(){return a[e]},a["set"+t]=function(t){-1===o.default.html5media.readOnlyProperties.indexOf(e)&&(a[e]=t)}}(d[u]);for(var f=o.default.html5media.events.concat(["click","mouseover","mouseout"]),m=0,p=f.length;m<p;m++)!function(t){a.addEventListener(t,function(t){var n=(0,s.createEvent)(t.type,e);e.dispatchEvent(n)})}(f[m]);if(a.setSize=function(e,t){return a.style.width=e+"px",a.style.height=t+"px",a},a.hide=function(){return a.style.display="none",a},a.show=function(){return a.style.display="",a},n&&n.length>0)for(var h=0,v=n.length;h<v;h++)if(l.renderer.renderers[t.prefix].canPlayType(n[h].type)){a.setAttribute("src",n[h].src);break}var g=(0,s.createEvent)("rendererready",a);return e.dispatchEvent(g),a}};a.default.HtmlMediaElement=o.default.HtmlMediaElement=u,l.renderer.add(u)},{15:15,17:17,2:2,3:3,6:6,7:7}],14:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}var a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},i=r(e(3)),o=r(e(2)),l=r(e(6)),s=e(7),d=e(17),u=e(18),c=e(16),f={isIframeStarted:!1,isIframeLoaded:!1,iframeQueue:[],enqueueIframe:function(e){f.isLoaded="undefined"!=typeof YT&&YT.loaded,f.isLoaded?f.createIframe(e):(f.loadIframeApi(),f.iframeQueue.push(e))},loadIframeApi:function(){f.isIframeStarted||((0,c.loadScript)("https://www.youtube.com/player_api"),f.isIframeStarted=!0)},iFrameReady:function(){for(f.isLoaded=!0,f.isIframeLoaded=!0;f.iframeQueue.length>0;){var e=f.iframeQueue.pop();f.createIframe(e)}},createIframe:function(e){return new YT.Player(e.containerId,e)},getYouTubeId:function(e){var t="";return e.indexOf("?")>0?""===(t=f.getYouTubeIdFromParam(e))&&(t=f.getYouTubeIdFromUrl(e)):t=f.getYouTubeIdFromUrl(e),t},getYouTubeIdFromParam:function(e){if(void 0===e||null===e||!e.trim().length)return null;for(var t=e.split("?")[1].split("&"),n="",r=0,a=t.length;r<a;r++){var i=t[r].split("=");if("v"===i[0]){n=i[1];break}}return n},getYouTubeIdFromUrl:function(e){return void 0!==e&&null!==e&&e.trim().length?(e=e.split("?")[0]).substring(e.lastIndexOf("/")+1):null},getYouTubeNoCookieUrl:function(e){if(void 0===e||null===e||!e.trim().length||-1===e.indexOf("//www.youtube"))return e;var t=e.split("/");return t[2]=t[2].replace(".com","-nocookie.com"),t.join("/")}},m={name:"youtube_iframe",options:{prefix:"youtube_iframe",youtube:{autoplay:0,controls:0,disablekb:1,end:0,loop:0,modestbranding:0,playsinline:0,rel:0,showinfo:0,start:0,iv_load_policy:3,nocookie:!1}},canPlayType:function(e){return~["video/youtube","video/x-youtube"].indexOf(e.toLowerCase())},create:function(e,t,n){var r={},a=[],s=null,u=!0,c=!1,m=null,p=1;r.options=t,r.id=e.id+"_"+t.prefix,r.mediaElement=e;for(var h=l.default.html5media.properties,v=0,g=h.length;v<g;v++)!function(t){var n=""+t.substring(0,1).toUpperCase()+t.substring(1);r["get"+n]=function(){if(null!==s){switch(t){case"currentTime":return s.getCurrentTime();case"duration":return s.getDuration();case"volume":return p=s.getVolume()/100;case"paused":return u;case"ended":return c;case"muted":return s.isMuted();case"buffered":var e=s.getVideoLoadedFraction(),n=s.getDuration();return{start:function(){return 0},end:function(){return e*n},length:1};case"src":return s.getVideoUrl();case"readyState":return 4}return null}return null},r["set"+n]=function(n){if(null!==s)switch(t){case"src":var i="string"==typeof n?n:n[0].src,o=f.getYouTubeId(i);e.originalNode.autoplay?s.loadVideoById(o):s.cueVideoById(o);break;case"currentTime":s.seekTo(n);break;case"muted":n?s.mute():s.unMute(),setTimeout(function(){var t=(0,d.createEvent)("volumechange",r);e.dispatchEvent(t)},50);break;case"volume":p=n,s.setVolume(100*n),setTimeout(function(){var t=(0,d.createEvent)("volumechange",r);e.dispatchEvent(t)},50);break;case"readyState":var l=(0,d.createEvent)("canplay",r);e.dispatchEvent(l)}else a.push({type:"set",propName:t,value:n})}}(h[v]);for(var y=l.default.html5media.methods,E=0,b=y.length;E<b;E++)!function(e){r[e]=function(){if(null!==s)switch(e){case"play":return u=!1,s.playVideo();case"pause":return u=!0,s.pauseVideo();case"load":return null}else a.push({type:"call",methodName:e})}}(y[E]);var w=o.default.createElement("div");w.id=r.id,r.options.youtube.nocookie&&e.originalNode.setAttribute("src",f.getYouTubeNoCookieUrl(n[0].src)),e.originalNode.parentNode.insertBefore(w,e.originalNode),e.originalNode.style.display="none";var S="audio"===e.originalNode.tagName.toLowerCase(),_=S?"1":e.originalNode.height,N=S?"1":e.originalNode.width,A=f.getYouTubeId(n[0].src),j={id:r.id,containerId:w.id,videoId:A,height:_,width:N,playerVars:Object.assign({controls:0,rel:0,disablekb:1,showinfo:0,modestbranding:0,html5:1,playsinline:0,start:0,end:0,iv_load_policy:3},r.options.youtube),origin:i.default.location.host,events:{onReady:function(t){if(e.youTubeApi=s=t.target,e.youTubeState={paused:!0,ended:!1},a.length)for(var n=0,i=a.length;n<i;n++){var o=a[n];if("set"===o.type){var l=o.propName,u=""+l.substring(0,1).toUpperCase()+l.substring(1);r["set"+u](o.value)}else"call"===o.type&&r[o.methodName]()}m=s.getIframe();for(var c=["mouseover","mouseout"],f=function(t){var n=(0,d.createEvent)(t.type,r);e.dispatchEvent(n)},p=0,h=c.length;p<h;p++)m.addEventListener(c[p],f,!1);for(var v=["rendererready","loadedmetadata","loadeddata","canplay"],g=0,y=v.length;g<y;g++){var E=(0,d.createEvent)(v[g],r);e.dispatchEvent(E)}},onStateChange:function(t){var n=[];switch(t.data){case-1:n=["loadedmetadata"],u=!0,c=!1;break;case 0:n=["ended"],u=!1,c=!0,r.stopInterval();break;case 1:n=["play","playing"],u=!1,c=!1,r.startInterval();break;case 2:n=["pause"],u=!0,c=!1,r.stopInterval();break;case 3:n=["progress"],c=!1;break;case 5:n=["loadeddata","loadedmetadata","canplay"],u=!0,c=!1}for(var a=0,i=n.length;a<i;a++){var o=(0,d.createEvent)(n[a],r);e.dispatchEvent(o)}},onError:function(t){var n=(0,d.createEvent)("error",r);n.data=t.data,e.dispatchEvent(n)}}};return S&&(j.playerVars.playsinline=1),f.enqueueIframe(j),r.onEvent=function(t,n,r){null!==r&&void 0!==r&&(e.youTubeState=r)},r.setSize=function(e,t){null!==s&&s.setSize(e,t)},r.hide=function(){r.stopInterval(),r.pause(),m&&(m.style.display="none")},r.show=function(){m&&(m.style.display="")},r.destroy=function(){s.destroy()},r.interval=null,r.startInterval=function(){r.interval=setInterval(function(){var t=(0,d.createEvent)("timeupdate",r);e.dispatchEvent(t)},250)},r.stopInterval=function(){r.interval&&clearInterval(r.interval)},r}};i.default.postMessage&&a(i.default.addEventListener)&&(i.default.onYouTubePlayerAPIReady=function(){f.iFrameReady()},u.typeChecks.push(function(e){return/\/\/(www\.youtube|youtu\.be)/i.test(e)?"video/x-youtube":null}),s.renderer.add(m))},{16:16,17:17,18:18,2:2,3:3,6:6,7:7}],15:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(n,"__esModule",{value:!0}),n.cancelFullScreen=n.requestFullScreen=n.isFullScreen=n.FULLSCREEN_EVENT_NAME=n.HAS_NATIVE_FULLSCREEN_ENABLED=n.HAS_TRUE_NATIVE_FULLSCREEN=n.HAS_IOS_FULLSCREEN=n.HAS_MS_NATIVE_FULLSCREEN=n.HAS_MOZ_NATIVE_FULLSCREEN=n.HAS_WEBKIT_NATIVE_FULLSCREEN=n.HAS_NATIVE_FULLSCREEN=n.SUPPORTS_NATIVE_HLS=n.SUPPORT_POINTER_EVENTS=n.HAS_MSE=n.IS_STOCK_ANDROID=n.IS_SAFARI=n.IS_FIREFOX=n.IS_CHROME=n.IS_EDGE=n.IS_IE=n.IS_ANDROID=n.IS_IOS=n.IS_IPHONE=n.IS_IPAD=n.UA=n.NAV=void 0;for(var a=r(e(3)),i=r(e(2)),o=r(e(6)),l=n.NAV=a.default.navigator,s=n.UA=l.userAgent.toLowerCase(),d=n.IS_IPAD=/ipad/i.test(s),u=n.IS_IPHONE=/iphone/i.test(s),c=(n.IS_IOS=u||d,n.IS_ANDROID=/android/i.test(s)),f=n.IS_IE=/(trident|microsoft)/i.test(l.appName),m=(n.IS_EDGE="msLaunchUri"in l&&!("documentMode"in i.default)),p=n.IS_CHROME=/chrome/i.test(s),h=n.IS_FIREFOX=/firefox/i.test(s),v=n.IS_SAFARI=/safari/i.test(s)&&!p,g=n.IS_STOCK_ANDROID=/^mozilla\/\d+\.\d+\s\(linux;\su;/i.test(s),y=(n.HAS_MSE="MediaSource"in a.default),E=(n.SUPPORT_POINTER_EVENTS=function(){var e=i.default.createElement("x"),t=i.default.documentElement,n=a.default.getComputedStyle;if(!("pointerEvents"in e.style))return!1;e.style.pointerEvents="auto",e.style.pointerEvents="x",t.appendChild(e);var r=n&&"auto"===n(e,"").pointerEvents;return e.remove(),!!r}()),b=["source","track","audio","video"],w=void 0,S=0,_=b.length;S<_;S++)w=i.default.createElement(b[S]);var N=n.SUPPORTS_NATIVE_HLS=v||c&&(p||g)||f&&/edge/i.test(s),A=void 0!==w.webkitEnterFullscreen,j=void 0!==w.requestFullscreen;A&&/mac os x 10_5/i.test(s)&&(j=!1,A=!1);var T=void 0!==w.webkitRequestFullScreen,F=void 0!==w.mozRequestFullScreen,x=void 0!==w.msRequestFullscreen,C=T||F||x,L=C,O="",P=void 0,I=void 0,k=void 0;F?L=i.default.mozFullScreenEnabled:x&&(L=i.default.msFullscreenEnabled),p&&(A=!1),C&&(T?O="webkitfullscreenchange":F?O="mozfullscreenchange":x&&(O="MSFullscreenChange"),n.isFullScreen=P=function(){return F?i.default.mozFullScreen:T?i.default.webkitIsFullScreen:x?null!==i.default.msFullscreenElement:void 0},n.requestFullScreen=I=function(e){T?e.webkitRequestFullScreen():F?e.mozRequestFullScreen():x&&e.msRequestFullscreen()},n.cancelFullScreen=k=function(){T?i.default.webkitCancelFullScreen():F?i.default.mozCancelFullScreen():x&&i.default.msExitFullscreen()});var M=n.HAS_NATIVE_FULLSCREEN=j,U=n.HAS_WEBKIT_NATIVE_FULLSCREEN=T,R=n.HAS_MOZ_NATIVE_FULLSCREEN=F,H=n.HAS_MS_NATIVE_FULLSCREEN=x,D=n.HAS_IOS_FULLSCREEN=A,V=n.HAS_TRUE_NATIVE_FULLSCREEN=C,q=n.HAS_NATIVE_FULLSCREEN_ENABLED=L,z=n.FULLSCREEN_EVENT_NAME=O;n.isFullScreen=P,n.requestFullScreen=I,n.cancelFullScreen=k,o.default.Features=o.default.Features||{},o.default.Features.isiPad=d,o.default.Features.isiPhone=u,o.default.Features.isiOS=o.default.Features.isiPhone||o.default.Features.isiPad,o.default.Features.isAndroid=c,o.default.Features.isIE=f,o.default.Features.isEdge=m,o.default.Features.isChrome=p,o.default.Features.isFirefox=h,o.default.Features.isSafari=v,o.default.Features.isStockAndroid=g,o.default.Features.hasMSE=y,o.default.Features.supportsNativeHLS=N,o.default.Features.supportsPointerEvents=E,o.default.Features.hasiOSFullScreen=D,o.default.Features.hasNativeFullscreen=M,o.default.Features.hasWebkitNativeFullScreen=U,o.default.Features.hasMozNativeFullScreen=R,o.default.Features.hasMsNativeFullScreen=H,o.default.Features.hasTrueNativeFullScreen=V,o.default.Features.nativeFullScreenEnabled=q,o.default.Features.fullScreenEventName=z,o.default.Features.isFullScreen=P,o.default.Features.requestFullScreen=I,o.default.Features.cancelFullScreen=k},{2:2,3:3,6:6}],16:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function a(e){function t(e){for(a=e;i=n.shift();)i[r]&&i[r](a)}var n=[],r=-1,a=void 0,i=void 0;return e(function(e){return t(e,r=0)},function(e){return t(e,r=1)}),{then:function(){for(var e=arguments.length,t=Array(e),i=0;i<e;i++)t[i]=arguments[i];~r?t[r]&&t[r](a):n.push(t)}}}function i(e){return a(function(t,n){var r=p.default.createElement("script");r.src=e,r.async=!0,r.onload=function(){r.remove(),t()},r.onerror=function(){r.remove(),n()},p.default.head.appendChild(r)})}function o(e){var t=e.getBoundingClientRect(),n=m.default.pageXOffset||p.default.documentElement.scrollLeft,r=m.default.pageYOffset||p.default.documentElement.scrollTop;return{top:t.top+r,left:t.left+n}}function l(e,t){E(e,t)?w(e,t):b(e,t)}function s(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:400,n=arguments[2];e.style.opacity||(e.style.opacity=1);var r=null;m.default.requestAnimationFrame(function a(i){var o=i-(r=r||i),l=parseFloat(1-o/t,2);e.style.opacity=l<0?0:l,o>t?n&&"function"==typeof n&&n():m.default.requestAnimationFrame(a)})}function d(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:400,n=arguments[2];e.style.opacity||(e.style.opacity=0);var r=null;m.default.requestAnimationFrame(function a(i){var o=i-(r=r||i),l=parseFloat(o/t,2);e.style.opacity=l>1?1:l,o>t?n&&"function"==typeof n&&n():m.default.requestAnimationFrame(a)})}function u(e,t){var n=[];e=e.parentNode.firstChild;do{t&&!t(e)||n.push(e)}while(e=e.nextSibling);return n}function c(e){return!!(e.offsetWidth||e.offsetHeight||e.getClientRects().length)}function f(e,t,n,r){var a=m.default.XMLHttpRequest?new XMLHttpRequest:new ActiveXObject("Microsoft.XMLHTTP"),i="application/x-www-form-urlencoded; charset=UTF-8",o=!1,l="*/".concat("*");switch(t){case"text":i="text/plain";break;case"json":i="application/json, text/javascript";break;case"html":i="text/html";break;case"xml":i="application/xml, text/xml"}"application/x-www-form-urlencoded"!==i&&(l=i+", */*; q=0.01"),a&&(a.open("GET",e,!0),a.setRequestHeader("Accept",l),a.onreadystatechange=function(){if(!o&&4===a.readyState)if(200===a.status){o=!0;var e=void 0;switch(t){case"json":e=JSON.parse(a.responseText);break;case"xml":e=a.responseXML;break;default:e=a.responseText}n(e)}else"function"==typeof r&&r(a.status)},a.send())}Object.defineProperty(n,"__esModule",{value:!0}),n.removeClass=n.addClass=n.hasClass=void 0,n.loadScript=i,n.offset=o,n.toggleClass=l,n.fadeOut=s,n.fadeIn=d,n.siblings=u,n.visible=c,n.ajax=f;var m=r(e(3)),p=r(e(2)),h=r(e(6)),v=void 0,g=void 0,y=void 0;"classList"in p.default.documentElement?(v=function(e,t){return void 0!==e.classList&&e.classList.contains(t)},g=function(e,t){return e.classList.add(t)},y=function(e,t){return e.classList.remove(t)}):(v=function(e,t){return new RegExp("\\b"+t+"\\b").test(e.className)},g=function(e,t){E(e,t)||(e.className+=" "+t)},y=function(e,t){e.className=e.className.replace(new RegExp("\\b"+t+"\\b","g"),"")});var E=n.hasClass=v,b=n.addClass=g,w=n.removeClass=y;h.default.Utils=h.default.Utils||{},h.default.Utils.offset=o,h.default.Utils.hasClass=E,h.default.Utils.addClass=b,h.default.Utils.removeClass=w,h.default.Utils.toggleClass=l,h.default.Utils.fadeIn=d,h.default.Utils.fadeOut=s,h.default.Utils.siblings=u,h.default.Utils.visible=c,h.default.Utils.ajax=f,h.default.Utils.loadScript=i},{2:2,3:3,6:6}],17:[function(e,t,n){"use strict";function r(e){if("string"!=typeof e)throw new Error("Argument passed must be a string");var t={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;"};return e.replace(/[&<>"]/g,function(e){return t[e]})}function a(e,t){var n=this,r=arguments,a=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if("function"!=typeof e)throw new Error("First argument must be a function");if("number"!=typeof t)throw new Error("Second argument must be a numeric value");var i=void 0;return function(){var o=n,l=r,s=function(){i=null,a||e.apply(o,l)},d=a&&!i;clearTimeout(i),i=setTimeout(s,t),d&&e.apply(o,l)}}function i(e){return Object.getOwnPropertyNames(e).length<=0}function o(e,t){var n=/^((after|before)print|(before)?unload|hashchange|message|o(ff|n)line|page(hide|show)|popstate|resize|storage)\b/,r={d:[],w:[]};return(e||"").split(" ").forEach(function(e){var a=e+(t?"."+t:"");a.startsWith(".")?(r.d.push(a),r.w.push(a)):r[n.test(e)?"w":"d"].push(a)}),r.d=r.d.join(" "),r.w=r.w.join(" "),r}function l(e,t){if("string"!=typeof e)throw new Error("Event name must be a string");var n=e.match(/([a-z]+\.([a-z]+))/i),r={target:t};return null!==n&&(e=n[1],r.namespace=n[2]),new window.CustomEvent(e,{detail:r})}function s(e,t){return!!(e&&t&&2&e.compareDocumentPosition(t))}function d(e){return"string"==typeof e}Object.defineProperty(n,"__esModule",{value:!0}),n.escapeHTML=r,n.debounce=a,n.isObjectEmpty=i,n.splitEvents=o,n.createEvent=l,n.isNodeAfter=s,n.isString=d;var u=function(e){return e&&e.__esModule?e:{default:e}}(e(6));u.default.Utils=u.default.Utils||{},u.default.Utils.escapeHTML=r,u.default.Utils.debounce=a,u.default.Utils.isObjectEmpty=i,u.default.Utils.splitEvents=o,u.default.Utils.createEvent=l,u.default.Utils.isNodeAfter=s,u.default.Utils.isString=d},{6:6}],18:[function(e,t,n){"use strict";function r(e){if("string"!=typeof e)throw new Error("`url` argument must be a string");var t=document.createElement("div");return t.innerHTML='<a href="'+(0,u.escapeHTML)(e)+'">x</a>',t.firstChild.href}function a(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"";return e&&!t?o(e):i(t)}function i(e){if("string"!=typeof e)throw new Error("`type` argument must be a string");return e&&e.indexOf(";")>-1?e.substr(0,e.indexOf(";")):e}function o(e){if("string"!=typeof e)throw new Error("`url` argument must be a string");for(var t=0,n=c.length;t<n;t++){var r=c[t](e);if(r)return r}var a=s(l(e)),i="video/mp4";return a&&(~["mp4","m4v","ogg","ogv","webm","flv","mpeg","mov"].indexOf(a)?i="video/"+a:~["mp3","oga","wav","mid","midi"].indexOf(a)&&(i="audio/"+a)),i}function l(e){if("string"!=typeof e)throw new Error("`url` argument must be a string");var t=e.split("?")[0].split("\\").pop().split("/").pop();return~t.indexOf(".")?t.substring(t.lastIndexOf(".")+1):""}function s(e){if("string"!=typeof e)throw new Error("`extension` argument must be a string");switch(e){case"mp4":case"m4v":return"mp4";case"webm":case"webma":case"webmv":return"webm";case"ogg":case"oga":case"ogv":return"ogg";default:return e}}Object.defineProperty(n,"__esModule",{value:!0}),n.typeChecks=void 0,n.absolutizeUrl=r,n.formatType=a,n.getMimeFromType=i,n.getTypeFromFile=o,n.getExtension=l,n.normalizeExtension=s;var d=function(e){return e&&e.__esModule?e:{default:e}}(e(6)),u=e(17),c=n.typeChecks=[];d.default.Utils=d.default.Utils||{},d.default.Utils.typeChecks=c,d.default.Utils.absolutizeUrl=r,d.default.Utils.formatType=a,d.default.Utils.getMimeFromType=i,d.default.Utils.getTypeFromFile=o,d.default.Utils.getExtension=l,d.default.Utils.normalizeExtension=s},{17:17,6:6}],19:[function(e,t,n){"use strict";var r=function(e){return e&&e.__esModule?e:{default:e}}(e(2));!function(e){e.forEach(function(e){e.hasOwnProperty("remove")||Object.defineProperty(e,"remove",{configurable:!0,enumerable:!0,writable:!0,value:function(){this.parentNode.removeChild(this)}})})}([Element.prototype,CharacterData.prototype,DocumentType.prototype]),function(){function e(e,t){t=t||{bubbles:!1,cancelable:!1,detail:void 0};var n=r.default.createEvent("CustomEvent");return n.initCustomEvent(e,t.bubbles,t.cancelable,t.detail),n}if("function"==typeof window.CustomEvent)return!1;e.prototype=window.Event.prototype,window.CustomEvent=e}(),"function"!=typeof Object.assign&&(Object.assign=function(e){if(null===e||void 0===e)throw new TypeError("Cannot convert undefined or null to object");for(var t=Object(e),n=1,r=arguments.length;n<r;n++){var a=arguments[n];if(null!==a)for(var i in a)Object.prototype.hasOwnProperty.call(a,i)&&(t[i]=a[i])}return t}),String.prototype.startsWith||(String.prototype.startsWith=function(e,t){return t=t||0,this.substr(t,e.length)===e}),Element.prototype.matches||(Element.prototype.matches=Element.prototype.matchesSelector||Element.prototype.mozMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.oMatchesSelector||Element.prototype.webkitMatchesSelector||function(e){for(var t=(this.document||this.ownerDocument).querySelectorAll(e),n=t.length-1;--n>=0&&t.item(n)!==this;);return n>-1}),window.Element&&!Element.prototype.closest&&(Element.prototype.closest=function(e){var t=(this.document||this.ownerDocument).querySelectorAll(e),n=void 0,r=this;do{for(n=t.length;--n>=0&&t.item(n)!==r;);}while(n<0&&(r=r.parentElement));return r}),function(){for(var e=0,t=["ms","moz","webkit","o"],n=0;n<t.length&&!window.requestAnimationFrame;++n)window.requestAnimationFrame=window[t[n]+"RequestAnimationFrame"],window.cancelAnimationFrame=window[t[n]+"CancelAnimationFrame"]||window[t[n]+"CancelRequestAnimationFrame"];window.requestAnimationFrame||(window.requestAnimationFrame=function(t){var n=(new Date).getTime(),r=Math.max(0,16-(n-e)),a=window.setTimeout(function(){t(n+r)},r);return e=n+r,a}),window.cancelAnimationFrame||(window.cancelAnimationFrame=function(e){clearTimeout(e)})}(),/firefox/i.test(navigator.userAgent)&&(window.mediaElementJsOldGetComputedStyle=window.getComputedStyle,window.getComputedStyle=function(e,t){var n=window.mediaElementJsOldGetComputedStyle(e,t);return null===n?{getPropertyValue:function(){}}:n})},{2:2}]},{},[19,5,4,8,13,10,9,11,12,14]);