/*!
 * MediaElement.js
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
!function e(t,n,a){function i(s,d){if(!n[s]){if(!t[s]){var o="function"==typeof require&&require;if(!d&&o)return o(s,!0);if(r)return r(s,!0);var u=new Error("Cannot find module '"+s+"'");throw u.code="MODULE_NOT_FOUND",u}var c=n[s]={exports:{}};t[s][0].call(c.exports,function(e){var n=t[s][1][e];return i(n||e)},c,c.exports,e,t,n,a)}return n[s].exports}for(var r="function"==typeof require&&require,s=0;s<a.length;s++)i(a[s]);return i}({1:[function(e,t,n){"use strict";var a={isSDKStarted:!1,isSDKLoaded:!1,iframeQueue:[],enqueueIframe:function(e){a.isLoaded?a.createIframe(e):(a.loadIframeApi(),a.iframeQueue.push(e))},loadIframeApi:function(){a.isSDKStarted||(mejs.Utils.loadScript("https://api.dmcdn.net/all.js"),a.isSDKStarted=!0)},apiReady:function(){for(a.isLoaded=!0,a.isSDKLoaded=!0;a.iframeQueue.length>0;){var e=a.iframeQueue.pop();DM.init({apiKey:e.apiKey,status:e.status,cookie:e.cookie}),a.createIframe(e)}},createIframe:function(e){var t=DM.player(e.container,{height:e.height||"100%",width:e.width||"100%",video:e.videoId,params:Object.assign({api:!0},e.params),origin:location.host});t.addEventListener("apiready",function(){window["__ready__"+e.id](t,{paused:!0,ended:!1})})},getDailyMotionId:function(e){var t=e.split("/");return t[t.length-1].split("_")[0]}},i={name:"dailymotion_iframe",options:{prefix:"dailymotion_iframe",dailymotion:{width:"100%",height:"100%",params:{autoplay:!1,chromeless:1,info:0,logo:0,related:0},apiKey:null,status:!0,cookie:!0}},canPlayType:function(e){return~["video/dailymotion","video/x-dailymotion"].indexOf(e.toLowerCase())},create:function(e,t,n){var i={},r=[],s=void 0,d=null,o=null;i.options=t,i.id=e.id+"_"+t.prefix,i.mediaElement=e;for(var u=mejs.html5media.properties,c=0,l=u.length;c<l;c++)!function(t){var n=""+t.substring(0,1).toUpperCase()+t.substring(1);i["get"+n]=function(){if(null!==d){switch(t){case"currentTime":return d.currentTime;case"duration":return isNaN(d.duration)?0:d.duration;case"volume":return d.volume;case"paused":return d.paused;case"ended":return d.ended;case"muted":return d.muted;case"buffered":var n=d.bufferedTime,a=d.duration;return{start:function(){return 0},end:function(){return n/a},length:1};case"src":return e.originalNode.getAttribute("src");case"readyState":return 4}return null}return null},i["set"+n]=function(n){if(null!==d)switch(t){case"src":var s="string"==typeof n?n:n[0].src;d.load(a.getDailyMotionId(s));break;case"currentTime":d.seek(n);break;case"muted":d.setMuted(n),setTimeout(function(){var t=mejs.Utils.createEvent("volumechange",i);e.dispatchEvent(t)},50);break;case"volume":d.setVolume(n),setTimeout(function(){var t=mejs.Utils.createEvent("volumechange",i);e.dispatchEvent(t)},50);break;case"readyState":var o=mejs.Utils.createEvent("canplay",i);e.dispatchEvent(o)}else r.push({type:"set",propName:t,value:n})}}(u[c]);for(var v=mejs.html5media.methods,p=0,m=v.length;p<m;p++)!function(e){i[e]=function(){if(null!==d)switch(e){case"play":return d.play();case"pause":return d.pause();case"load":return null}else r.push({type:"call",methodName:e})}}(v[p]);window["__ready__"+i.id]=function(t){if(e.dmPlayer=d=t,r.length)for(var n=0,a=r.length;n<a;n++){var u=r[n];if("set"===u.type){var c=u.propName,l=""+c.substring(0,1).toUpperCase()+c.substring(1);i["set"+l](u.value)}else"call"===u.type&&i[u.methodName]()}o=document.getElementById(i.id);for(var v=function(t){var n=mejs.Utils.createEvent(t.type,i);e.dispatchEvent(n)},p=0,m=(s=["mouseover","mouseout"]).length;p<m;p++)o.addEventListener(s[p],v,!1);s=mejs.html5media.events;for(var f=0,h=(s=s.concat(["click","mouseover","mouseout"])).length;f<h;f++)!function(t){"ended"!==t&&d.addEventListener(t,function(t){var n=mejs.Utils.createEvent(t.type,d);e.dispatchEvent(n)})}(s[f]);d.addEventListener("ad_start",function(){var t=mejs.Utils.createEvent("play",d);e.dispatchEvent(t),t=mejs.Utils.createEvent("progress",d),e.dispatchEvent(t),t=mejs.Utils.createEvent("timeupdate",d),e.dispatchEvent(t)}),d.addEventListener("ad_timeupdate",function(){var t=mejs.Utils.createEvent("timeupdate",d);e.dispatchEvent(t)}),d.addEventListener("ad_pause",function(){var t=mejs.Utils.createEvent("pause",d);e.dispatchEvent(t)}),d.addEventListener("ad_end",function(){var t=mejs.Utils.createEvent("ended",d);e.dispatchEvent(t)}),d.addEventListener("video_start",function(){var t=mejs.Utils.createEvent("play",d);e.dispatchEvent(t),t=mejs.Utils.createEvent("timeupdate",d),e.dispatchEvent(t)}),d.addEventListener("video_end",function(){var t=mejs.Utils.createEvent("ended",d);e.dispatchEvent(t)}),d.addEventListener("progress",function(){var t=mejs.Utils.createEvent("timeupdate",d);e.dispatchEvent(t)}),d.addEventListener("durationchange",function(){var t=mejs.Utils.createEvent("timeupdate",d);e.dispatchEvent(t)});for(var y=["rendererready","loadedmetadata","loadeddata","canplay"],E=0,g=y.length;E<g;E++){var j=mejs.Utils.createEvent(y[E],i);e.dispatchEvent(j)}};var f=document.createElement("div");f.id=i.id,e.appendChild(f),e.originalNode&&(f.style.width=e.originalNode.style.width,f.style.height=e.originalNode.style.height),e.originalNode.style.display="none";var h=a.getDailyMotionId(n[0].src),y=Object.assign({id:i.id,container:f,videoId:h,autoplay:e.originalNode.autoplay},i.options.dailymotion);return a.enqueueIframe(y),i.hide=function(){i.stopInterval(),i.pause(),o&&(o.style.display="none")},i.show=function(){o&&(o.style.display="")},i.setSize=function(e,t){o&&(o.width=e,o.height=t)},i.destroy=function(){d.destroy()},i}};mejs.Utils.typeChecks.push(function(e){return/\/\/((www\.)?dailymotion\.com|dai\.ly)/i.test(e)?"video/x-dailymotion":null}),window.dmAsyncInit=function(){a.apiReady()},mejs.Renderers.add(i)},{}]},{},[1]);