/*!
 * MediaElement.js
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
!function e(t,n,r){function i(o,s){if(!n[o]){if(!t[o]){var c="function"==typeof require&&require;if(!s&&c)return c(o,!0);if(a)return a(o,!0);var u=new Error("Cannot find module '"+o+"'");throw u.code="MODULE_NOT_FOUND",u}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return i(n||e)},l,l.exports,e,t,n,r)}return n[o].exports}for(var a="function"==typeof require&&require,o=0;o<r.length;o++)i(r[o]);return i}({1:[function(e,t,n){"use strict";var r={promise:null,load:function(e){"undefined"!=typeof Vimeo?r._createPlayer(e):(r.promise=r.promise||mejs.Utils.loadScript("https://player.vimeo.com/api/player.js"),r.promise.then(function(){r._createPlayer(e)}))},_createPlayer:function(e){var t=new Vimeo.Player(e.iframe);window["__ready__"+e.id](t)},getVimeoId:function(e){return void 0===e||null===e?null:(e=e.split("?")[0],parseInt(e.substring(e.lastIndexOf("/")+1)))}},i={name:"vimeo_iframe",options:{prefix:"vimeo_iframe"},canPlayType:function(e){return~["video/vimeo","video/x-vimeo"].indexOf(e.toLowerCase())},create:function(e,t,n){var i=[],a={},o=!0,s=1,c=s,u=0,l=0,d=!1,m=0,f=null,v="";a.options=t,a.id=e.id+"_"+t.prefix,a.mediaElement=e;for(var p=function(t,n){var r=mejs.Utils.createEvent("error",n);r.message=t.name+": "+t.message,e.dispatchEvent(r)},h=mejs.html5media.properties,y=0,g=h.length;y<g;y++)!function(t){var n=""+t.substring(0,1).toUpperCase()+t.substring(1);a["get"+n]=function(){if(null!==f){switch(t){case"currentTime":return u;case"duration":return m;case"volume":return s;case"muted":return 0===s;case"paused":return o;case"ended":return d;case"src":return f.getVideoUrl().then(function(e){v=e}),v;case"buffered":return{start:function(){return 0},end:function(){return l*m},length:1};case"readyState":return 4}return null}return null},a["set"+n]=function(n){if(null!==f)switch(t){case"src":var o="string"==typeof n?n:n[0].src,l=r.getVimeoId(o);f.loadVideo(l).then(function(){e.originalNode.autoplay&&f.play()}).catch(function(e){p(e,a)});break;case"currentTime":f.setCurrentTime(n).then(function(){u=n,setTimeout(function(){var t=mejs.Utils.createEvent("timeupdate",a);e.dispatchEvent(t)},50)}).catch(function(e){p(e,a)});break;case"volume":f.setVolume(n).then(function(){c=s=n,setTimeout(function(){var t=mejs.Utils.createEvent("volumechange",a);e.dispatchEvent(t)},50)}).catch(function(e){p(e,a)});break;case"loop":f.setLoop(n).catch(function(e){p(e,a)});break;case"muted":n?f.setVolume(0).then(function(){s=0,setTimeout(function(){var t=mejs.Utils.createEvent("volumechange",a);e.dispatchEvent(t)},50)}).catch(function(e){p(e,a)}):f.setVolume(c).then(function(){s=c,setTimeout(function(){var t=mejs.Utils.createEvent("volumechange",a);e.dispatchEvent(t)},50)}).catch(function(e){p(e,a)});break;case"readyState":var d=mejs.Utils.createEvent("canplay",a);e.dispatchEvent(d)}else i.push({type:"set",propName:t,value:n})}}(h[y]);for(var E=mejs.html5media.methods,b=0,U=E.length;b<U;b++)!function(e){a[e]=function(){if(null!==f)switch(e){case"play":return o=!1,f.play();case"pause":return o=!0,f.pause();case"load":return null}else i.push({type:"call",methodName:e})}}(E[b]);window["__ready__"+a.id]=function(t){if(e.vimeoPlayer=f=t,i.length)for(var n=0,r=i.length;n<r;n++){var s=i[n];if("set"===s.type){var c=s.propName,v=""+c.substring(0,1).toUpperCase()+c.substring(1);a["set"+v](s.value)}else"call"===s.type&&a[s.methodName]()}for(var h=document.getElementById(a.id),y=void 0,g=function(t){var n=mejs.Utils.createEvent(t.type,a);e.dispatchEvent(n)},E=0,b=(y=["mouseover","mouseout"]).length;E<b;E++)h.addEventListener(y[E],g,!1);f.on("loaded",function(){f.getDuration().then(function(t){(m=t)>0&&(l=m*t);var n=mejs.Utils.createEvent("loadedmetadata",a);e.dispatchEvent(n)}).catch(function(e){p(e,a)})}),f.on("progress",function(){f.getDuration().then(function(t){(m=t)>0&&(l=m*t);var n=mejs.Utils.createEvent("progress",a);e.dispatchEvent(n)}).catch(function(e){p(e,a)})}),f.on("timeupdate",function(){f.getCurrentTime().then(function(t){u=t;var n=mejs.Utils.createEvent("timeupdate",a);e.dispatchEvent(n)}).catch(function(e){p(e,a)})}),f.on("play",function(){o=!1,d=!1;var t=mejs.Utils.createEvent("play",a);e.dispatchEvent(t)}),f.on("pause",function(){o=!0,d=!1;var t=mejs.Utils.createEvent("pause",a);e.dispatchEvent(t)}),f.on("ended",function(){o=!1,d=!0;var t=mejs.Utils.createEvent("ended",a);e.dispatchEvent(t)});for(var U=0,j=(y=["rendererready","loadeddata","loadedmetadata","canplay"]).length;U<j;U++){var w=mejs.Utils.createEvent(y[U],a);e.dispatchEvent(w)}};var j=e.originalNode.height,w=e.originalNode.width,_=document.createElement("iframe"),N="//player.vimeo.com/video/"+r.getVimeoId(n[0].src),x=~n[0].src.indexOf("?")?"?"+n[0].src.slice(n[0].src.indexOf("?")+1):"";return _.setAttribute("id",a.id),_.setAttribute("width",w),_.setAttribute("height",j),_.setAttribute("frameBorder","0"),_.setAttribute("src",""+N+x),_.setAttribute("webkitallowfullscreen",""),_.setAttribute("mozallowfullscreen",""),_.setAttribute("allowfullscreen",""),e.originalNode.parentNode.insertBefore(_,e.originalNode),e.originalNode.style.display="none",r.load({iframe:_,id:a.id}),a.hide=function(){a.pause(),f&&(_.style.display="none")},a.setSize=function(e,t){_.setAttribute("width",e),_.setAttribute("height",t)},a.show=function(){f&&(_.style.display="")},a}};mejs.Utils.typeChecks.push(function(e){return/(\/\/player\.vimeo|vimeo\.com)/i.test(e)?"video/x-vimeo":null}),mejs.Renderers.add(i)},{}]},{},[1]);